Package Details: php70-cgi 7.0.33-3

Git Clone URL: https://aur.archlinux.org/php70.git (read-only)
Package Base: php70
Description: CGI and FCGI SAPI for PHP
Upstream URL: http://www.php.net
Licenses: PHP
Provides: php-cgi=7.0.33
Submitter: betrixed
Maintainer: wget
Last Packager: wget
Votes: 9
Popularity: 0.018995
First Submitted: 2017-02-05 08:12
Last Updated: 2019-02-10 17:45

Pinned Comments

wget commented on 2018-04-24 22:41

This package makes use of GPG keys for integrity verification. Here are the PGP keys you need to import (if you trust them):

$ gpg --recv-keys 1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763 6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3

Receiving GPG keys might fail with the following error message: $ gpg: keyserver receive failed: Connection refused. If this happens, just check your DNS or use other ones.

Latest Comments

1 2 3 4 5 6 Next › Last »

gchamon commented on 2019-02-11 12:19

@wget package installed successfully. Thanks for maintaing this! This is a recurrent conversation topic where I work, why oh why must there be a migration guide for upgrading php between minor versions. Anyway thanks!

wget commented on 2019-02-10 17:46

@gchamon @CaffeinatedTech Sorry for the delay. Actually I fixed the issue you reported the same week you reported the it to me, but forgot to push the fix. :D Done. Let me know if there are other issues.

CaffeinatedTech commented on 2019-02-01 08:06

Yep @gchamon I had to install sendmail to get mine to update also. Thank you. It'd be nice if it told you what failed at the end, because it scrolls for about four kilometers before failing.

gchamon commented on 2019-01-10 22:05

this extension recently updated to 7.0.33-2 and I couldn't update due to some undocumented error in check procedure. Analysing check in PKGBUILD, it only checked for sendmail and ran php tests. I found out then that sendmail was not installed in my system and installing it allowed me to update this package. Sendmail should, therefore, be a package dependency or at least the user should be warned that sendmail is not installed

wget commented on 2018-08-10 09:37

@TomaszGasior I don't know. I cannot reproduce the issue. The GPG keys are being imported fine from my side even on a brand new Arch Linux test machine. Maybe checking n the GPG documentation could help. Maybe this is related to dirmngr? https://wiki.archlinux.org/index.php/GnuPG#gpg_hanged_for_all_keyservers_.28when_trying_to_receive_keys.29

TomaszGasior commented on 2018-07-28 11:51

@wget When I try to import keys by your command, I have a different error: "gpg: keyserver receive failed: General error". What should I do?

wget commented on 2018-07-03 16:01

Thanks tunght13488! Package update with your fixes. And indeed this is working :) On my side I realized the compilation of this package was happening on one CPU core and tweaked a bit the PKGBUILD in order to improve it even further.

tunght13488 commented on 2018-06-18 03:04

I managed to get configure using pkg-config instead of freetype-config: https://github.com/tunght13488/aur-php70/commit/4a0db6535088bac262560aa7378092586da3b533

tunght13488 commented on 2018-06-18 02:23

I tried adding --with-freetype-dir=/usr \ after --with-enchant=shared,/usr \ but the build failed with freetype-config not found. Looks like freetype-config is no longer available in freetype2 and we should use something like pkg-config --cflags freetype2 instead of freetype-config --cflags. I'm still trying to figure out how to do that during the build.

tunght13488 commented on 2018-06-18 02:06

Looks like v7.0.30 removed freetype support. Function imageftbbox is no longer available